XtAppLock(3) | Library Functions Manual | XtAppLock(3)

# NAME

XtAppLock, XtAppUnlock - lock and unlock application context

# SYNTAX

#include <X11/Intrinsic.h>

void XtAppLock(XtAppContext app_context);

void XtAppUnlock(XtAppContext app_context);

# ARGUMENTS

app_context
  Specifies the application context.

# DESCRIPTION

XtAppLock locks the application context including all its related displays and widgets.

XtAppUnlock unlocks the application context.

# SEE ALSO

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS